API referenceReferenceFiles
Files - Upload
Upload a file using either multipart form data or a JSON payload with base64-encoded file content.
Path Parameters
business_slug*string
Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/business/string/file_upload/" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "file": "string" }'{ "id": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "file": "http://example.com", "name": "string", "type": "string", "preview": { "image": "http://example.com", "blurhash": "string", "blurhash_w": 0, "blurhash_h": 0 }, "folder_id": 0, "blurhash": "string", "blurhash_w": 0, "blurhash_h": 0, "is_deletable": true, "analysis_badges": [ { "key": "string", "label": "string", "value": "string" } ], "analysis_results": [ { "values": [ { "type": "ATTACHMENT_TYPE", "value": "string" } ], "analysis_data": null } ], "analysis_status": "PENDING", "notes": "string"}